### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.events.broker

# Interface EventBrokerServiceInterface

All Superinterfaces:
  `com.sas.entities.EntityKeyInterface`, `ListenerRegisterInterface`, `Remote`, `RemoteServiceInterface`, `ServiceNotificationBroadcasterInterface`

All Known Implementing Classes:
  `EventBrokerService`

@SASScope("ALL") @BinaryCompatibilityOnly public interface EventBrokerServiceInterface extends ListenerRegisterInterface, RemoteServiceInterface
Deprecated.
As of release 9.3, replaced by SAS Midtier Eventing Architecture.
Interface to the `EventBroker Service` for firing events.

## Usage

This interface is used by clients that want to send events to the EventBrokerService and to aquire information about the service.

Since:
  1.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `EVENT_TYPE_BROADCAST`
  Deprecated.
  A Broadcast type of event is forwarded to all possible handlers.
  `static final int`
  `EVENT_TYPE_REQUEST_RESPONSE`
  Deprecated.
  A Request/Response type of event is forwarded to a single handler and a response is always generated.

  ### Fields inherited from interface com.sas.services.RemoteServiceInterface

  `CLASS_IDENTIFIER, CLASS_IDENTIFIER_1_1, CLASS_IDENTIFIER_1_2, CLASS_IDENTIFIER_SERVICE_TYPE, CLASS_IDENTIFIER_SERVICE_TYPE_1_1, CLASS_IDENTIFIER_SERVICE_TYPE_1_2`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `canProcess(String eventName, int eventType)`
  Deprecated.
  Determine if the EventBrokerService can process a particular named event.
  `String`
  `getConfiguration()`
  Deprecated.
  Get transport configuration of this EventBrokerService.
  `String`
  `getDescription()`
  Deprecated.
  Get description of this EventBrokerService.
  `String`
  `getHost()`
  Deprecated.
  Get the host name where we are executing.
  `void`
  `sendAsyncEvent(String event, EventResponseHandlerInterface responseHandler)`
  Deprecated.
  Send an asynchronous event to this EventBrokerService for processing.
  `String`
  `sendSyncEvent(String event)`
  Deprecated.
  Send a synchronous event to this EventBrokerService for processing.

  ### Methods inherited from interface com.sas.entities.EntityKeyInterface

  `getEntityKey, sameEntity, setEntityKey`

  ### Methods inherited from interface com.sas.services.events.broker.ListenerRegisterInterface

  `addEventListener, removeEventListener`

  ### Methods inherited from interface com.sas.services.RemoteServiceInterface

  `configure, destroy, getCreationTime, getServiceConfiguration, getServiceConfiguration, getServiceProxy, getServiceState, isAccessibleToRemoteClients, isExported, reconfigure, setServiceState`

  ### Methods inherited from interface com.sas.services.mgmt.ServiceNotificationBroadcasterInterface

  `addServiceObserver, notifyServiceObservers, removeAllServiceObservers, removeServiceObserver`

- ## Field Details

  - ### EVENT_TYPE_BROADCAST

    static final int EVENT_TYPE_BROADCAST
    Deprecated.
    A Broadcast type of event is forwarded to all possible handlers. A response is never generated.
    See Also:
      - Constant Field Values

  - ### EVENT_TYPE_REQUEST_RESPONSE

    static final int EVENT_TYPE_REQUEST_RESPONSE
    Deprecated.
    A Request/Response type of event is forwarded to a single handler and a response is always generated.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getHost

    String getHost() throws RemoteException
    Deprecated.
    Get the host name where we are executing.
    Returns:
      Name of host where we are executing.
    Throws:
      `RemoteException` - if a network anomaly occurs.

  - ### getDescription

    String getDescription() throws RemoteException
    Deprecated.
    Get description of this EventBrokerService.
    Returns:
      Description of this EventBrokerService.
    Throws:
      `RemoteException` - if a network anomaly occurs.

  - ### getConfiguration

    String getConfiguration() throws RemoteException
    Deprecated.
    Get transport configuration of this EventBrokerService.
    Returns:
      XML formatted string representation of transport configuration.
    Throws:
      `RemoteException` - if a network anomaly occurs.

  - ### canProcess

    boolean canProcess(String eventName, int eventType) throws RemoteException
    Deprecated.
    Determine if the EventBrokerService can process a particular named event.

    Valid event types are as follows:

    - `Broadcast`
    - `Request/Response`
    Parameters:
      `eventName` - Name of event.
      `eventType` - Type of event.
    Returns:
      true if broker can process; otherwise false.
    Throws:
      `RemoteException` - if a network anomaly occurs.

  - ### sendSyncEvent

    String sendSyncEvent(String event) throws RemoteException
    Deprecated.
    Send a synchronous event to this EventBrokerService for processing.
    Parameters:
      `event` - Event to send (See Event Message Specification).
    Returns:
      A response string if a response is requested in the event specification; otherwise return an empty string.
    Throws:
      `RemoteException` - if a network anomaly occurs.

  - ### sendAsyncEvent

    void sendAsyncEvent(String event, EventResponseHandlerInterface responseHandler) throws RemoteException
    Deprecated.
    Send an asynchronous event to this EventBrokerService for processing.
    Parameters:
      `event` - Event to send (See Event Message Specification).
      `responseHandler` - Event response handler.
    Throws:
      `RemoteException` - if a network anomaly occurs.